import sqlite3

# create a connection to the database following the structure of schema.sql
connection = sqlite3.connect('library.db')

with open('schema.sql') as f:
    connection.executescript(f.read())

cur = connection.cursor()

cur.execute("INSERT INTO categories (title) VALUES (?)", ('Reading',))
cur.execute("INSERT INTO categories (title) VALUES (?)", ('Note',))
cur.execute("INSERT INTO categories (title) VALUES (?)", ('Question',))

cur.execute("INSERT INTO cards (category_id, content) VALUES (?,?)",
            (1, 'Oltre Eboli'))
cur.execute("INSERT INTO cards (category_id, content) VALUES (?,?)",
            (1, 'This is not an Atlas'))

cur.execute("INSERT INTO topics (content) VALUES (?)", ('mapping process',))
cur.execute("INSERT INTO topics (content) VALUES (?)", ('Radical Neutrality',))
cur.execute("INSERT INTO topics (content) VALUES (?)", ('Honeycomb documentation',))
cur.execute("INSERT INTO topics (content) VALUES (?)", ('Metabolic Publishing',))

# close conenction
connection.commit()
connection.close()
